ITPub博客

首页 > Linux操作系统 > Linux操作系统 > 浏览器html5/css3兼容性检测的javascript类库 - Modernizr简单介绍

浏览器html5/css3兼容性检测的javascript类库 - Modernizr简单介绍

原创 Linux操作系统 作者:jjfat 时间:2012-04-17 17:58:03 0 删除 编辑

日期:2012-4-17  来源:GBin1.com

帮助你有效的检测用户端浏览器类库 - Modernizr使用介绍

在线演示  本地下载

大家是不是在开发设计过程中遇到如下情况?某些浏览器不支持HTML5或者CSS3的某些标签和属性。而我们希望开发的网站或者web应用能在所有的浏览器中运行正确,针对不支持的浏览器我们可以提供其它fallback方式来弥补。

今天这篇文章呢,我们将介绍一个开发利器 - ModernizerModernizer是一个Javascript的类库API,对于大部分的前端开发人员来说,使用它是一件非常简单的事情。相信大家会非常喜欢这个类库,无论你是开发人员还是设计人员!

什么是Modernizr?

开始之前我们还是介绍一下什么是ModernizerModernizer是一个Javascript的类库,帮助你有效的检测浏览器的支持类型,典型的情况是它能够帮助你使用如下的显示方式来告诉你浏览器的相关信息:

“Hey, browser! Do you support [insert feature here]? Great, let’s see it in action! But if you don’t support it, I want you to do this instead: [insert behaviour here].”

实际上它并不像其它的javascript添加功能到浏览器,例如特效或者处理,它只是简单的告诉你浏览器是否支持你需要的特性。

使用它能够让你很轻松的面对HTML5和CSS3的问题,使用Modernizer能够很有效的帮助你控制浏览器不支持的特性。

如何使用Modernizr?

.....

来源:浏览器html5/css3兼容性检测的javascript类库 - Modernizr简单介绍

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/8288/viewspace-721455/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2011-10-08

  • 博文量
    316
  • 访问量
    377772